Rename Volume

⚠️ Private preview. Contact your Nasuni account team to request access.

Rename a volume on its master appliance.

Returns a tracking task. Use its id with GET /tasks/{task_id} to check progress. Returns HTTP 404 when the volume is unknown, HTTP 400 for an invalid or unchanged name, and HTTP 409 when the name is already in use on the master appliance or a rename is already in progress for the volume.

SecurityHTTPBearer
Request
path Parameters
volume_id
required
string (Volume Id)
Request Body schema: application/json
required
name
required
string (Name) [ 1 .. 25 ] characters

New volume name; trimmed, 1-25 chars.

Responses
202

Volume rename dispatch accepted

401

Not authenticated

403

Insufficient permissions

422

Invalid input data

500

Internal server error

patch/volumes/{volume_id}/name
Request samples
application/json
{
  • "name": "string"
}
Response samples
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "created_at": "2019-08-24T14:15:22Z",
  • "resource": "string",
  • "resource_id": "4d5215ed-38bb-48ed-879a-fdb9ca58522f",
  • "stack_id": "8d268dcf-caa3-4f85-9d09-6ac2a48a6fde",
  • "action": "string",
  • "executor": "edge",
  • "executor_id": "d714570b-3169-4a26-afce-0118de370faf",
  • "initiated_by": "portal",
  • "initiator_id": "06588898-9a84-4b35-ba8f-f9cbd64946f3",
  • "activity_log_id": "40873786-f3a0-483e-a381-eed4c72a44af",
  • "reason": "string",
  • "state": "in_progress",
  • "last_updated_at": "2019-08-24T14:15:22Z",
  • "user_acknowledged_at": "2019-08-24T14:15:22Z",
  • "deletion_time": "2019-08-24T14:15:22Z"
}
Copyright © 2025 Nasuni Corporation. All rights reserved.